org.bouncycastle.ocsp

## Class Req

- java.lang.Object
- - org.bouncycastle.ocsp.Req

All Implemented Interfaces:
  java.security.cert.X509Extension

    public class Req
    extends java.lang.Object
    implements java.security.cert.X509Extension

### Constructor Summary

Constructors
Constructor and Description
`Req(Request req)`

### Method Summary

Methods
`CertificateID` `getCertID()`
`java.util.Set` `getCriticalExtensionOIDs()`
`byte[]` `getExtensionValue(java.lang.String oid)`
`java.util.Set` `getNonCriticalExtensionOIDs()`
`X509Extensions` `getSingleRequestExtensions()`
`boolean` `hasUnsupportedCriticalExtension()` RFC 2650 doesn't specify any critical extensions so we return true if any are encountered.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Req

    public Req(Request req)

### Method Detail

#### getCertID

    public CertificateID getCertID()

#### getSingleRequestExtensions

    public X509Extensions getSingleRequestExtensions()

#### hasUnsupportedCriticalExtension

    public boolean hasUnsupportedCriticalExtension()

RFC 2650 doesn't specify any critical extensions so we return true if any are encountered.

Specified by:
  `hasUnsupportedCriticalExtension` in interface `java.security.cert.X509Extension`
Returns:
  true if any critical extensions are present.

#### getCriticalExtensionOIDs

    public java.util.Set getCriticalExtensionOIDs()

Specified by:
  `getCriticalExtensionOIDs` in interface `java.security.cert.X509Extension`

#### getNonCriticalExtensionOIDs

    public java.util.Set getNonCriticalExtensionOIDs()

Specified by:
  `getNonCriticalExtensionOIDs` in interface `java.security.cert.X509Extension`

#### getExtensionValue

    public byte[] getExtensionValue(java.lang.String oid)

Specified by:
  `getExtensionValue` in interface `java.security.cert.X509Extension`